#include <sta/rtos2/mutex.hpp>


namespace sta
{
	Rtos2Mutex::Rtos2Mutex(osMutexId_t * handle)
		: handle_{handle}
	{}

	void Rtos2Mutex::acquire()
	{
		osMutexAcquire(*handle_, osWaitForever);
	}

	void Rtos2Mutex::release()
	{
		osMutexRelease(*handle_);
	}
} // namespace sta
